// define(function(require, exports, module) {
define("config", [], function(require, exports, module) {

    'use strict';

    module.exports = {
        common: {
            /*是否使用跨域代理*/
            isProxy: true,
            isUseCache: true,
            urls: {
                /*服务端数据接口*/
                // apis: 'http://uctest5.ucweb.com:8028/newvideo/php/interface/compact_tv.php',
                // apis: 'http://dev7.ucweb.local:16888/ucvideo/php/interface/compact_tv.php',
                apis: 'http://tv.uc.cn/3.0/php/interface/compact_tv.php',

                /*本地跨域代理*/
                proxy: 'http://' + location.hostname + ':5010/json',
                /*本地图片前缀*/
                localImgPrefix: './image/',
                /*视频数据图片前缀*/
                imgPrefix: 'http://img.tv.uc.cn:8080/',
                /*日志接口*/
                log: 'http://tv.uc.cn/3.0/php/interface/pvlog.php',
                /*重定向接口*/
                redirect: "http://tv.uc.cn/3.0/php/redirect/_redirect.php",
                /*本地精品推荐页跳转到远程页*/
                remote: "http://tv.uc.cn/tv/tv_index.html"

            },  
            hash: {
                'index': '#!/index',
                'board': '#!/board',
                'channel': '#!/channel',
                'recommend': '#!/recommend', //remote: /recommend/remote, local: /recommend/local
                'detail': '#!/detail'
            },
            exts: {
                /*打开搜索界面*/
                search: "ext:tv_video_search",
                /*收藏*/
                favor: "ext:markShow:",
                /*后退*/
                back: 'ext:back'
            },
            /*请求平台*/
            platform: 2,
            /*loading文案*/
            loadingText: '正在加载，请稍候',

            videoTypes: {
                1: 'movie',
                2: 'teleplay',
                3: 'cartoon',
                4: 'variety',
                'movie': 1,
                'teleplay': 2,
                'cartoon': 3,
                'variety': 4,
                alise: {
                    1: 'movie',
                    2: 'tv',
                    3: 'cm',
                    4: 'show',
                },
                zh: {
                    1: '电影',
                    2: '剧集',
                    3: '动漫',
                    4: '综艺'
                }
            }
        },
        titles: {
            index: '首页',
            board: '排行榜',
            channel: '频道',
            detail: '详情',
            recommend: '精品推荐'
        },
        index: {
            tabs: [{
                    type: 'recommend',
                    region: 'tv_index_nav_ recommend',
                    name: '推荐'
                }, {
                    type: 'movie',
                    region: 'tv_index_nav_movie',
                    name: '电影'
                }, {
                    type: 'teleplay',
                    region: 'tv_index_nav_tv',
                    name: '剧集'
                }, {
                    type: 'variety',
                    region: 'tv_index_nav_show',
                    name: '综艺'
                }, {
                    type: 'cartoon',
                    region: 'tv_index_nav_cm',
                    name: '动漫'
                }, {
                    type: 'board',
                    region: 'tv_index_nav_rank',
                    name: '排行榜'
                }
                /*, {
                type: 'search',
                region: 'tv_index_nav_search',
                name: '搜索'
            }*/
            ]
        },
        board: {
            max: 8,
            tabs: [{
                type: 1,
                logType: 'tv_rank_nav_movie',
                name: '电影'
            }, {
                type: 2,
                logType: 'tv_rank_nav_tv',
                name: '剧集'
            }, {
                type: 3,
                logType: 'tv_rank_nav_cm',
                name: '动漫'
            }, {
                type: 4,
                logType: 'tv_rank_nav_show',
                name: '综艺'
            }]
        },
        channel: {
            logTypes: {
                1: 'tv_channel_movie_back',
                2: 'tv_channel_tv_back',
                3: 'tv_channel_show_back',
                4: 'tv_channel_cm_back',
            }
        },
        detail: {
            logos: {
                '电影网': 'dianying',
                'pptv': 'pptv',
                '土豆': 'tudou',
                '爱奇艺': 'iqiyi',
                '优酷': 'youku',
                '56': '56',
                'pps': 'pps',
                '百度影音': 'baidu',
                '暴风': 'baofeng',
                '风行': 'fengxing',
                '酷六': 'ku6',
                '乐视': 'leshi',
                '腾讯': 'tengxun',
                '新浪': 'sina',
                '华数': 'huashu',
                '搜狐': 'sohu',
                '快播': 'kuaibo',
                '迅雷': 'xunlei',
                'cntv': 'cntv',
                '凤凰': 'ifeng'
            }
        },
        recommend: {
            local: {
                "code": 1,
                "com": "com_recommend",
                "cache_time": 1800,
                "data": [{
                    "focus_list": [{
                        "id": "1031030",
                        "url": "http://tv.uc.cn/tv/tv_index.html#!/detail/492",
                        "title": "\u6b65\u5175\u65e0\u9a6c",
                        "img": "tv_recm_focus_1.jpg"
                    }],
                    "other_list": [{
                        "id": "492",
                        "title": "\u65f6\u5c1a\u738b",
                        "img": "tv_recm_1.jpg"
                    }, {
                        "id": "470",
                        "title": "\u77a7\u8fd9\u4e24\u5bb6\u5b50",
                        "img": "tv_recm_2.jpg"
                    }, {
                        "id": "467",
                        "title": "\u8f69\u8f95\u5251\u4e4b\u5929\u4e4b\u75d5",
                        "img": "tv_recm_3.jpg"
                    }, {
                        "id": "464",
                        "title": "\u65b0\u8fd8\u73e0\u683c\u683c",
                        "img": "tv_recm_4.jpg"
                    }, {
                        "id": "463",
                        "title": "\u5317\u4eac\u7231\u60c5\u6545\u4e8b",
                        "img": "tv_recm_5.jpg"
                    }]
                }]
            }
        }
    };
});
